SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (VPN)  >   OpenSSL Vendors:   OpenSSL.org
OpenSSL CMS/PKCS#7 Padding Attack May Let Remote Users Decrypt Messages
SecurityTracker Alert ID:  1026788
SecurityTracker URL:  http://securitytracker.com/id/1026788
CVE Reference:   CVE-2012-0884   (Links to External Site)
Date:  Mar 12 2012
Impact:   Disclosure of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): prior to 0.9.8u, 1.0.0h
Description:   A vulnerability was reported in OpenSSL. A remote user can decrypt messages in certain cases.

A remote user can exploit a flaw in the CMS and PKCS#7 code by conducting an RSA padding attack (similar to the Bleichenbacher PKCS#1 attack and also known as the million message attack (MMA)) to potentially decrypt a message.

The vendor reports that an average of 2^20 messages must be sent by the remote user to the target decryption system to achieve a successful attack.

SSL/TLS applications do not use the CMS, PKCS#7, or S/MIME decryption code and are not affected.

Ivan Nestlerode reported this vulnerability.

Impact:   A remote user can decrypt a message in certain cases.
Solution:   The vendor has issued a fix (0.9.8u, 1.0.0h).

The vendor's advisory is available at:

http://www.openssl.org/news/secadv_20120312.txt

Vendor URL:  www.openssl.org/news/secadv_20120312.txt (Links to External Site)
Cause:   Access control error
Underlying OS:   Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Mar 28 2012 (Red Hat Issues Fix) OpenSSL CMS/PKCS#7 Padding Attack May Let Remote Users Decrypt Messages   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Linux 5 and 6.
May 3 2012 (FreeBSD Issues Fix) OpenSSL CMS/PKCS#7 Padding Attack May Let Remote Users Decrypt Messages   (FreeBSD Security Advisories <security-advisories@freebsd.org>)
FreeBSD has issued a fix for FreeBSD 7.4, 8.1, 8.2, 8.3, and 9.0.
May 31 2012 (FreeBSD Issues Fix) OpenSSL CMS/PKCS#7 Padding Attack May Let Remote Users Decrypt Messages   (FreeBSD Security Advisories <security-advisories@freebsd.org>)
FreeBSD has issued a fix for FreeBSD 7.4, 8.1, 8.2, 8.3, and 9.0.
Feb 28 2013 (IBM Issues Fix for AIX) OpenSSL CMS/PKCS#7 Padding Attack May Let Remote Users Decrypt Messages
IBM has issued a fix for AIX 5.3, 6.1, and 7.1.



 Source Message Contents

Date:  Mon, 12 Mar 2012 21:28:41 +0000
Subject:  OpenSSL


http://www.openssl.org/news/secadv_20120312.txt

CVE-2012-0884
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC